var Login = function() {

	var handleLogin = function() {
		$('.login-form').validate({
			errorElement : 'span', // 默认输入错误信息提示容器
			errorClass : 'help-block', // 默认输入错误提示样式
			focusInvalid : false, // 不要聚焦最后一个无效输入
			rules : {
				loginName : {
					required : true
				},
				password : {
					required : true
				},
				remember : {
					required : false
				}
			},
			messages : {
				loginName : {
					required : "用户名不能为空"
				},
				password : {
					required : "密码不能为空"
				}
			},
			invalidHandler : function(event, validator) { // 在表单提交时显示错误警报
				$('.alert-danger', $('.login-form')).show();
			},
			highlight : function(element) { // 突出显示错误输入
				$(element).closest('.form-group').addClass('has-error'); // 将错误样式设置为控件组
			},
			success : function(label) {
				label.closest('.form-group').removeClass('has-error');
				label.remove();
			},
			errorPlacement : function(error, element) {
				error.insertAfter(element.closest('.input-icon'));
			},
			submitHandler : function(form) {
				$(form).ajaxSubmit({
					dataType : 'json',
					beforeSubmit : function() {
					},
					success : function(data) {
						console.log(data);
						if (data && data.success == true) {
							sxUtil.msgbox.success('登录成功！');
							window.location.href = '/'
						} else {
							sxUtil.msgbox.error(data, '登录失败');
						}
					}
				});
			}
		});

		$('.login-form input').keypress(function(e) {
			if (e.which == 13) {
				if ($('.login-form').validate().form()) {
					$('.login-form').submit();
				}
				return false;
			}
		});
		document.onkeydown=function(event){
	        var e = event || window.event || arguments.callee.caller.arguments[0];
	         if(e && e.keyCode==13){ // enter 
	        	 	if ($('.login-form').validate().form()) {
					$('.login-form').submit();
				}
				return false;
	        }
	    }; 
	}

	var handleForgetPassword = function() {
		$('.forget-form').validate({
			errorElement : 'span', // 默认输入错误信息提示容器
			errorClass : 'help-block', // 默认输入错误提示样式
			focusInvalid : false, // 不要聚焦最后一个无效输入
			ignore : "",
			rules : {
				username : {
					required : true
				}
			},
			messages : {
				username : {
					required : "用户名不能为空"
				}
			},
			invalidHandler : function(event, validator) { // 在表单提交时显示错误警报

			},

			highlight : function(element) { // 突出显示错误输入
				$(element).closest('.form-group').addClass('has-error'); // 将错误样式设置为控件组
			},

			success : function(label) {
				label.closest('.form-group').removeClass('has-error');
				label.remove();
			},

			errorPlacement : function(error, element) {
				error.insertAfter(element.closest('.input-icon'));
			},

			submitHandler : function(form) {
				form.submit();
			}
		});

		$('.forget-form input').keypress(function(e) {
			if (e.which == 13) {
				if ($('.forget-form').validate().form()) {
					$('.forget-form').submit();
				}
				return false;
			}
		});

		$('#forget-password').click(function() {
			$('.login-form').hide();
			$('.forget-form').show();
		});

		$('#back-btn').click(function() {
			$('.login-form').show();
			$('.forget-form').hide();
		});

	}

	return {
		init : function() {
			handleLogin();
			handleForgetPassword();
			// 初始化背景图片
			// $.backstretch([ "/login/img/bg/1.jpg", "/login/img/bg/2.jpg",
			// 		"/login/img/bg/3.jpg", "/login/img/bg/4.jpg" ], {
			// 	fade : 1000,
			// 	duration : 8000
			// });
		}
	};

}();

jQuery(document).ready(function() {
	Login.init();
});